Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.Preflight Class Reference
Inheritance diagram for FoxitPDFSDKPython3.Preflight:

## Public Member Functions
def | Preflight ()
| Constructor. More...
def | Analyze (preflight_setting_data, progress_callback)
| Analyze a PDF file. More...
def | AnalyzeAndFixup (preflight_setting_data, progress_callback)
| Analyze and fixup a PDF file. More...
def | CanFixup (item_key)
| Check whether the item key can be fixuped or not. More...
def | GenerateReport (preflight_report_setting_data, progress_callback)
| Generate report after analyzing or fixing. More...
def | GetGroupNamesArray (library_type, operate_type)
| Get all group names array corresponding to the library type and operation type. More...
def | GetItemKeysArray (group_name)
| Get item keys array with the specific group name. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents the analysis and fix-up functions that match a specified industry profile and performs checks or fix-ups.

## Constructor & Destructor Documentation

## ◆ Preflight()

def FoxitPDFSDKPython3.Preflight.Preflight | ( |  | ) |

Constructor.

Constructor, with another preflight object.

Parameters

  [in] | other | Another preflight object.

## Member Function Documentation

## ◆ Analyze()

def FoxitPDFSDKPython3.Preflight.Analyze | ( |  | preflight_setting_data,
|  |  | progress_callback
| ) |  |

Analyze a PDF file.

Parameters

  [in] | preflight_setting_data | The preflight setting data.
  [in] | progress_callback | A ProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  None.

## ◆ AnalyzeAndFixup()

def FoxitPDFSDKPython3.Preflight.AnalyzeAndFixup | ( |  | preflight_setting_data,
|  |  | progress_callback
| ) |  |

Analyze and fixup a PDF file.

Parameters

  [in] | preflight_setting_data | The preflight setting data.
  [in] | progress_callback | A ProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  None.

## ◆ CanFixup()

def FoxitPDFSDKPython3.Preflight.CanFixup | ( |  | item_key | ) |

Check whether the item key can be fixuped or not.

Parameters

  [in] | item_key | The item key. It can be retrieved by FoxitPDFSDKPython3.Preflight.GetItemKeysArray .

Returns
  true means can be fixuped, while false means can not be fixuped.

## ◆ GenerateReport()

def FoxitPDFSDKPython3.Preflight.GenerateReport | ( |  | preflight_report_setting_data,
|  |  | progress_callback
| ) |  |

Generate report after analyzing or fixing.

Parameters

  [in] | preflight_report_setting_data | The preflight report setting data.
  [in] | progress_callback | A ProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  true means success, while false means failure.

## ◆ GetGroupNamesArray()

def FoxitPDFSDKPython3.Preflight.GetGroupNamesArray | ( |  | library_type,
|  |  | operate_type
| ) |  |

Get all group names array corresponding to the library type and operation type.

Parameters

  [in] | library_type | The library type. Please refer to values starting from FoxitPDFSDKPython3.PreflightSettingData.e_LibraryTypeFoxit and this should be one of these values.
  [in] | operate_type | The operate type. Please refer to values starting from FoxitPDFSDKPython3.PreflightSettingData.e_OperateTypeProfiles and this should be one of these values.

Returns
  The group names array.

## ◆ GetItemKeysArray()

def FoxitPDFSDKPython3.Preflight.GetItemKeysArray | ( |  | group_name | ) |

Get item keys array with the specific group name.

Parameters

  [in] | group_name | The group name which can obtain from the function FoxitPDFSDKPython3.Preflight.GetGroupNamesArray .

Returns
  The item keys array.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.Preflight.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.